﻿using System.Device.Location;
using System.Windows;
using System.Windows.Media;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Maps.Controls;
using WpWinNl.Utilities;

namespace DrawCircle
{
  public partial class MainPage : PhoneApplicationPage
  {
    // Constructor
    public MainPage()
    {
      InitializeComponent();
      Loaded += MainPageLoaded;
    }

    void MainPageLoaded(object sender, RoutedEventArgs e)
    {
      var location = new GeoCoordinate(52.181427, 5.399780);
      MyMap.Center = location;
      MyMap.ZoomLevel = 16;

      var fill = Colors.Purple;
      var stroke = Colors.Red;
      fill.A = 80;
      stroke.A = 80;
      var circle = new MapPolygon
      {
        StrokeThickness = 2,
        FillColor = fill,
        StrokeColor = stroke,
        StrokeDashed = false,
      };

      foreach( var p in location.GetCirclePoints(150))
      {
        circle.Path.Add(p);
      }

      MyMap.MapElements.Add(circle);
    }
  }
}