﻿using Bing.Maps;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

using WpWinNl.Utilities;

namespace DrawCircleStore
{
  public sealed partial class MainPage : Page
  {
    public MainPage()
    {
      InitializeComponent();
      Loaded += MainPageLoaded;
    }

    void MainPageLoaded(object sender, RoutedEventArgs e)
    {
      var location = new Location(52.181427, 5.399780);
      MyMap.Center = location;
      MyMap.ZoomLevel = 18;
      var fill = Colors.Purple;
      fill.A = 80;
      var circle = new MapPolygon
      {
       FillColor = fill,
      };

      foreach (var p in location.GetCirclePoints(150))
      {
        circle.Locations.Add(p);
      }

      var layer = new MapShapeLayer();
      layer.Shapes.Add(circle);

      MyMap.ShapeLayers.Add(layer);
    }
  }
}
